For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedConnectorsAPI reference
Get startedConnectorsAPI reference
  • Agent Handler
      • GETList custom regex rules
      • POSTCreate custom regex rule
      • GETGet custom regex rule
      • DELDelete custom regex rule
      • PATCHUpdate custom regex rule
      • GETList custom regex rules (Tool Pack)
      • POSTCreate custom regex rule (Tool Pack)
      • GETGet custom regex rule (Tool Pack)
      • DELDelete custom regex rule (Tool Pack)
      • PATCHUpdate custom regex rule (Tool Pack)

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Agent HandlerCustom regex rules

Update custom regex rule (Tool Pack)

PATCH
https://ah-api.merge.dev/api/v1/tool-packs/:tool_pack_id/custom-regex-rules/:rule_id/
PATCH
/api/v1/tool-packs/:tool_pack_id/custom-regex-rules/:rule_id/
$curl -X PATCH https://ah-api.merge.dev/api/v1/tool-packs/tool_pack_id/custom-regex-rules/rule_id/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "id": "string",
3 "name": "string",
4 "regex": "string",
5 "score": 1.1,
6 "is_active": true,
7 "outbound_action": "string",
8 "defined_at": "string"
9}
Update a custom regex rule for a tool pack. Name cannot be changed after creation.
Was this page helpful?
Previous

Delete custom regex rule (Tool Pack)

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

rule_idstringRequiredformat: "uuid"
tool_pack_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringOptional<=100 characters
is_activebooleanOptional
regexstringOptional
scoredoubleOptional
context_keywordsanyOptional
inbound_actionenumOptional
  • BLOCK - BLOCK
  • REDACT - REDACT
  • LOG - LOG
  • NONE - NONE
Allowed values:
outbound_actionenumOptional
  • BLOCK - BLOCK
  • REDACT - REDACT
  • LOG - LOG
  • NONE - NONE
Allowed values:

Response

idstringformat: "uuid"
namestring
regexstring
scoredouble
context_keywordsany
is_activeboolean
outbound_actionstring
defined_atstring